from django.conf.urls import include, url
import django_saml2_pro_auth.urls as saml_urls
from rugwebsite.views import home, gdpr, gdpr_request_delete, gdpr_delete, gdpr_agree, gdpr_create_agree, \
    gdpr_ask_agreement

urlpatterns = [
    url(r'gdpr/$', gdpr, name='gdpr'),
    url(r'gdpr-request-delete/$', gdpr_request_delete, name='gdpr-request-delete'),
    url(r'gdpr-delete/(?P<email>[^/]+)/(?P<token>[a-zA-Z0-9]{32})/$', gdpr_delete, name='gdpr-delete'),
    url(r'gdpr-agree/(?P<email>[^/]+)/(?P<token>[a-zA-Z0-9]{32})/$', gdpr_agree, name='gdpr-agree'),
    url(r'gdpr-create-agree/$', gdpr_create_agree, name='gdpr-create-agree'),
    url(r'gdpr-ask-for-agreement/$', gdpr_ask_agreement, name='gdpr-ask-for-agreement'),

    url(r'', include(saml_urls, namespace='saml')),
    url(r'$', home),
]
